Unit tde29r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE29R_p, DE29R_p;

function tde29r: String;

implementation

function tde29r: String;
var
M,IH,IERR :Integer;
XN,XK,HMIN,EPS,H,P,HMAX :Real;
YN :Array [0..1] of Real;
Y :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
RY :Array [0..9] of Real;
RFN :Array [0..1] of Real;
begin
Result := '';  {   }
M := 2;
XN := 0.75*3.141593;
YN[0] := Sqrt(2.0)/2.0;
YN[1] := -YN[0];
XK := 3.141593;
HMIN := 1.E-18;
EPS := 0.00001;
H := 0.01;
IH := 0;
P := 100.0;
HMAX := 0.1;
DE29R(FDE29R,M,XN,YN,XK,HMIN,HMAX,EPS,P,H,Y,DELTY,
     DF,RF,YP,RY,RFN,IERR);
Result := Result + Format('%s',['      XK']);
Result := Result + Format('%s',['              Y(1)']);
Result := Result + Format('%s',['            Y(2)']);
Result := Result + Format('%20.16f %20.16f %20.16f ',
 [XK,Y[0],Y[1]]) + #$0D#$0A;
UtRes('tde29r',Result);  {     tde29r.res }
exit;
end;

end.
